#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x40df6d0, "usbnet_get_stats64" },
	{ 0x6ab192a3, "usbnet_tx_timeout" },
	{ 0x7dd29693, "usbnet_change_mtu" },
	{ 0x77f871a1, "eth_validate_addr" },
	{ 0x664c96a5, "eth_mac_addr" },
	{ 0xa8588af7, "usbnet_start_xmit" },
	{ 0x8c315f6e, "usbnet_stop" },
	{ 0xd0e5516, "usbnet_open" },
	{ 0xf4ba355a, "usbnet_set_link_ksettings" },
	{ 0xc602228f, "usbnet_get_link_ksettings" },
	{ 0x764246c2, "usbnet_nway_reset" },
	{ 0x4e7ce535, "usbnet_set_msglevel" },
	{ 0xc1c8a95a, "usbnet_get_msglevel" },
	{ 0xf0cf1586, "usbnet_resume" },
	{ 0x225d6b71, "usbnet_suspend" },
	{ 0xf63ec85f, "usbnet_disconnect" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0x7d41feac, "usbnet_link_change" },
	{ 0xa62e6a9a, "usb_control_msg" },
	{ 0xf0e75c98, "__dev_kfree_skb_any" },
	{ 0xfbf8811b, "skb_push" },
	{ 0x13874362, "usbnet_status_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x679cec00, "usbnet_status_start" },
	{ 0x935a9c3f, "usbnet_probe" },
	{ 0x24d273d1, "add_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe319c06, "usbnet_write_cmd" },
	{ 0xd3b99ec2, "netdev_err" },
	{ 0x429a1dbe, "usbnet_skb_return" },
	{ 0x8fbab012, "skb_trim" },
	{ 0x70cd4284, "skb_clone" },
	{ 0xa94e3018, "skb_pull" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x1afea1a2, "_dev_err" },
	{ 0xbd18ec5d, "usbnet_read_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaeba9fc6, "netif_carrier_off" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0xa68e544e, "usbnet_get_endpoints" },
	{ 0x5792f848, "strlcpy" },
	{ 0xccbcb74a, "usbnet_get_drvinfo" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9cfe3681, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "79024F3EC1EE44C7D105361");

MODULE_INFO(suserelease, "SLE15-SP2");
