#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x8db1135b, "param_ops_bool" },
	{ 0x66739b34, "ethtool_op_get_ts_info" },
	{ 0xb7a40738, "usbnet_get_link" },
	{ 0x764246c2, "usbnet_nway_reset" },
	{ 0x4e7ce535, "usbnet_set_msglevel" },
	{ 0xc1c8a95a, "usbnet_get_msglevel" },
	{ 0xccbcb74a, "usbnet_get_drvinfo" },
	{ 0x40df6d0, "usbnet_get_stats64" },
	{ 0x6ab192a3, "usbnet_tx_timeout" },
	{ 0x7dd29693, "usbnet_change_mtu" },
	{ 0x77f871a1, "eth_validate_addr" },
	{ 0x664c96a5, "eth_mac_addr" },
	{ 0xa8588af7, "usbnet_start_xmit" },
	{ 0x8c315f6e, "usbnet_stop" },
	{ 0xd0e5516, "usbnet_open" },
	{ 0xf63ec85f, "usbnet_disconnect" },
	{ 0x935a9c3f, "usbnet_probe" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0x225d6b71, "usbnet_suspend" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0xa68e544e, "usbnet_get_endpoints" },
	{ 0xc5850110, "printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7d41feac, "usbnet_link_change" },
	{ 0x63d9e6f9, "usb_autopm_get_interface_no_resume" },
	{ 0x6439534e, "usb_autopm_put_interface" },
	{ 0x2e9d185d, "netdev_info" },
	{ 0x429a1dbe, "usbnet_skb_return" },
	{ 0x8fbab012, "skb_trim" },
	{ 0x70cd4284, "skb_clone" },
	{ 0xa94e3018, "skb_pull" },
	{ 0xf0cf1586, "usbnet_resume" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x740254e1, "mii_nway_restart" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaf7da41d, "mii_ethtool_gset" },
	{ 0x51539c07, "mii_check_media" },
	{ 0xf4ba355a, "usbnet_set_link_ksettings" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe678b324, "usbnet_read_cmd_nopm" },
	{ 0xbd18ec5d, "usbnet_read_cmd" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x39069e56, "usbnet_write_cmd_nopm" },
	{ 0xe319c06, "usbnet_write_cmd" },
	{ 0xbd6841d4, "crc16" },
	{ 0xa896414, "generic_mii_ioctl" },
	{ 0xf96aa1f0, "device_set_wakeup_enable" },
	{ 0xc602228f, "usbnet_get_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2d71d1c4, "usbnet_write_cmd_async" },
	{ 0x1f02a3ba, "netdev_warn" },
	{ 0xc2becaab, "__dynamic_netdev_dbg" },
	{ 0xf9e15753, "usbnet_defer_kevent" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf0e75c98, "__dev_kfree_skb_any" },
	{ 0xe4569bdb, "pskb_expand_head" },
	{ 0xfbf8811b, "skb_push" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii,crc16";

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CA00E4A06D9DA724864262B");

MODULE_INFO(suserelease, "SLE15-SP2");
