#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0x4e27228, "mt76x02_remove_interface" },
	{ 0x293a9d2, "__mt76_poll" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0xb7193769, "mt76x02_sw_scan" },
	{ 0x7157fa4c, "mt76x02_conf_tx" },
	{ 0x52c3a8ae, "mt76x02_ampdu_action" },
	{ 0xc9c7e9cd, "mt76u_stop_rx" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x46492b91, "mt76x02u_exit_beacon_config" },
	{ 0x9c609a4b, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f86169a, "mt76u_vendor_request" },
	{ 0x1851fadd, "ieee80211_unregister_hw" },
	{ 0xe611277f, "mt76x02u_init_beacon_config" },
	{ 0xe7c8d7e0, "mt76u_stop_tx" },
	{ 0x4aa8bf5d, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfa5a003, "mt76x0_mac_start" },
	{ 0xd299c08e, "mt76x02_bss_info_changed" },
	{ 0x8dbbb9f6, "mt76x0_init_hardware" },
	{ 0x1fb9b886, "mt76_sta_state" },
	{ 0xee9e44cd, "mt76x02_set_rts_threshold" },
	{ 0x55f633a6, "mt76x02u_tx_prepare_skb" },
	{ 0xec8ac23c, "mt76x02u_init_mcu" },
	{ 0x9045a550, "_dev_warn" },
	{ 0x36e579ba, "mt76u_init" },
	{ 0xa455f25e, "mt76x02u_mcu_fw_send_data" },
	{ 0xa845dabd, "mt76x0_mac_stop" },
	{ 0xda42f4d4, "mt76x02_sta_add" },
	{ 0x68f3f763, "mt76x02_tx_status_data" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x820e01e5, "mt76x02_sta_remove" },
	{ 0xf94e5623, "mt76x02_tx" },
	{ 0x1b9c879a, "__mt76_poll_msec" },
	{ 0x3bae32c9, "mt76x02_sw_scan_complete" },
	{ 0x77f80de0, "mt76_set_tim" },
	{ 0x7b6b2e90, "mt76x0_phy_calibrate" },
	{ 0x65a578f6, "mt76x02u_mcu_fw_reset" },
	{ 0x1afea1a2, "_dev_err" },
	{ 0xf26a0265, "mt76x0_register_device" },
	{ 0xb8798994, "mt76x0_config" },
	{ 0x8ad918e4, "ieee80211_queue_delayed_work" },
	{ 0xb576dc47, "mt76u_queues_deinit" },
	{ 0x1636a9d1, "mt76x02_queue_rx_skb" },
	{ 0x4e2a558, "mt76x0_chip_onoff" },
	{ 0xc4316eb7, "mt76x02_configure_filter" },
	{ 0xb0b0c2b6, "_dev_info" },
	{ 0x652303e9, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7ed2788, "usb_reset_device" },
	{ 0x348f12d6, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xb55996b6, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9cfe3681, "__dynamic_dev_dbg" },
	{ 0x56a89086, "mt76x02_sta_rate_tbl_update" },
	{ 0x40c5f48f, "mt76u_resume_rx" },
	{ 0x35d2ce67, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1db0452, "mt76_wake_tx_queue" },
	{ 0xef7d69d, "mt76_get_txpower" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0xdb5b1300, "request_firmware" },
	{ 0xa8e98525, "mt76_release_buffered_frames" },
	{ 0x99ffd84d, "ieee80211_free_hw" },
	{ 0x7b5149f1, "mt76x02_set_key" },
	{ 0xefd1075d, "firmware_request_nowarn" },
	{ 0xbc4af3e2, "release_firmware" },
	{ 0x781ff74c, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
