#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xf0e8e14e, "param_ops_string" },
	{ 0xb6ebf50e, "param_ops_int" },
	{ 0x40df6d0, "usbnet_get_stats64" },
	{ 0x6ab192a3, "usbnet_tx_timeout" },
	{ 0x77f871a1, "eth_validate_addr" },
	{ 0x664c96a5, "eth_mac_addr" },
	{ 0xa8588af7, "usbnet_start_xmit" },
	{ 0x8c315f6e, "usbnet_stop" },
	{ 0xd0e5516, "usbnet_open" },
	{ 0xa33d7302, "rndis_tx_fixup" },
	{ 0xcdd5b674, "rndis_rx_fixup" },
	{ 0x43e31aea, "rndis_status" },
	{ 0xf0cf1586, "usbnet_resume" },
	{ 0x225d6b71, "usbnet_suspend" },
	{ 0xf63ec85f, "usbnet_disconnect" },
	{ 0x935a9c3f, "usbnet_probe" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0xeca84eb, "wiphy_register" },
	{ 0xb5787287, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0x76831b0d, "wiphy_new_nm" },
	{ 0xd3b99ec2, "netdev_err" },
	{ 0x9088011f, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xaeba9fc6, "netif_carrier_off" },
	{ 0xe97076f3, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0x665286bc, "cfg80211_roamed" },
	{ 0x5076896d, "cfg80211_ibss_joined" },
	{ 0x68362ca6, "netif_carrier_on" },
	{ 0x488487d3, "usbnet_resume_rx" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe0775a1d, "cfg80211_cqm_rssi_notify" },
	{ 0xea6d6593, "cfg80211_put_bss" },
	{ 0xf72213c6, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb9398b4b, "cfg80211_scan_done" },
	{ 0x9a770c4c, "wiphy_free" },
	{ 0x7ed48345, "wiphy_unregister" },
	{ 0x4f5a251b, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1f02a3ba, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0x11eb1d26, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1e077d12, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe3f62385, "cfg80211_connect_done" },
	{ 0xc2655fca, "usbnet_pause_rx" },
	{ 0x92169018, "cfg80211_michael_mic_failure" },
	{ 0xc2becaab, "__dynamic_netdev_dbg" },
	{ 0xe3b0641e, "cfg80211_pmksa_candidate_notify" },
	{ 0x2e9d185d, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
